module TextCleaner
  def self.clean_text(text)
    text = remove_urls(text.downcase)
    text = remove_punctuation(text)
    text = remove_filler_words(text)
    text.strip
  end

  def self.remove_urls(text)
    text.gsub(/https?:\/\/[\S]+/, '')
  end

  def self.remove_punctuation(text)
    text.gsub(/[^a-zA-Z\s]/, '')
  end

  FILLER_WORDS = %w{ and the of as if is to in my a be will i ive are not my are not can out go am im for }
  def self.remove_filler_words(text)
    FILLER_WORDS.each do |word|
      text.gsub!(/ #{word} / , ' ')
    end
    text
  end

end
